#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: kanboard/kanboard
  # -- image tag
  tag: v1.2.20
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://docs.kanboard.org/en/latest/admin_guide/docker.html#environment-variables)
# and [application docs](# https://docs.kanboard.org/en/latest/admin_guide/config_file.html) for more details.
# @default -- See below (only deviations from the default settings are specified)
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Enable/disable email configuration from the user interface
  MAIL_CONFIGURATION: "false"
  # -- log driver: syslog, stderr, stdout or file
  LOG_DRIVER: stdout
  # -- Database driver: sqlite, mysql or postgres
  DB_DRIVER: sqlite
  # -- Mysql/Postgres hostname
  DB_HOSTNAME:
  # -- Mysql/Postgres custom port (empty = default port)
  DB_PORT:
  # -- Mysql/Postgres username
  DB_USERNAME:
  # -- Mysql/Postgres password
  DB_PASSWORD:
  # -- Mysql/Postgres database name
  DB_NAME:

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 80

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  data:
    enabled: false
    mountPath: /var/www/app/data

  ssl:
    enabled: false
    mountPath: /etc/nginx/ssl

# -- Enable and configure postgresql database subchart under this key.
#    For more options see [postgresql chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/postgresql)
# @default -- See values.yaml
postgresql:
  enabled: false
  postgresqlUsername: kanboard
  postgresqlPassword: kanboard
  postgresqlDatabase: kanboard
  persistence:
    enabled: false
    # storageClass: ""
